Freetrade is currently available on iOS and Android. 

Device requirements:

iOS:

  • iOS 10.3 or later for iPhone, iOS 14 or later for iPad

  • UK App Store only

Android:

  • Android 7.0 or later

  • Non-rooted/jailbroken devices

  • UK Playstore only

Did this answer your question?